<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 


////////////////////GENERAR ARCHIVO INCES
if ($_POST['treporte']==1) {
 $query='';
 if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' $query order by codigo";
		

		/* ///// la cambiamos (la primera parte ) para que no tome las remuneraciones desde [personal_sueldo] sino desde [historico]  --Miguelangel 08/05/2023
		
		$pocentajeIncesPatrono = 0.02;
		$consulta = "select sso,personal_sueldo.codigo,nombres,nombres1,apellidos,apellidos1,fechai,status, REPLACE(REPLACE(FORMAT(SUM(sueldo),2),',',''),'.',',') AS monto, REPLACE(REPLACE(FORMAT(SUM(sueldo)*'".$pocentajeIncesPatrono."', 2), ',', ''), '.', ',') as aporte, 
		(SELECT REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',',') FROM utilidades WHERE utilidades.cedula=personal.codigo AND utilidades.id=".$_SESSION['id_validar']." AND fecha>='".substr($_POST['per1'],19,10)."' and fecha<='".substr($_POST['per2'],33,10)."' AND concepto='8019') as utilidad,
		
		(SELECT REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',',') FROM utilidades WHERE utilidades.cedula=personal.codigo AND utilidades.id=".$_SESSION['id_validar']." AND fecha>='".substr($_POST['per1'],19,10)."' and fecha<='".substr($_POST['per2'],33,10)."' AND concepto='8017') as retenido,
		
		(SELECT REPLACE(REPLACE(FORMAT(valor_utilid_pagar,2),',',''),'.',',') FROM liquidaciones WHERE liquidaciones.cedula=personal.codigo AND liquidaciones.id=".$_SESSION['id_validar']." AND status='I' AND fecha_retiro>='".substr($_POST['per1'],19,10)."' AND fecha_retiro<='".substr($_POST['per2'],33,10)."') as util_liquid,
		
		(SELECT REPLACE(REPLACE(FORMAT(inces,2),',',''),'.',',') FROM liquidaciones WHERE liquidaciones.cedula=personal.codigo AND liquidaciones.id=".$_SESSION['id_validar']." AND status='I' AND fecha_retiro>='".substr($_POST['per1'],19,10)."' AND fecha_retiro<='".substr($_POST['per2'],33,10)."') as retenido_liquid

		FROM personal_sueldo,personal WHERE personal_sueldo.codigo=personal.codigo and personal_sueldo.id=personal.id and fec>='".substr($_POST['per1'],19,10)."' and fec<='".substr($_POST['per2'],33,10)."' and personal_sueldo.id=".$_SESSION['id_validar']."  group by codigo order by codigo ";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$cont=0;
		
		$data=array();
		$cabecera=array("RIF","CEDULA","NOMBRE1","NOMBRE2","APELLIDO1","APELLIDO2","Fecha Ingreso","Estatus","Salarios pagados","Aporte 2% patrono","Utilidades pagadas","0,5% retenido","Util en liquidacion de retiro","0,5% retenido Util Liq.", "Total Aporte");
		*/
		
		$pocentajeIncesPatrono = 0.02;
		$consulta = "select sso,historico.cedula,nombres,nombres1,apellidos,apellidos1,fechai,status, REPLACE(REPLACE(FORMAT(SUM(monto),2),',',''),'.',',') AS monto, REPLACE(REPLACE(FORMAT(SUM(monto)*'".$pocentajeIncesPatrono."', 2), ',', ''), '.', ',') as aporte  , 
		(SELECT REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',',') FROM utilidades WHERE utilidades.cedula=personal.codigo AND utilidades.id=".$_SESSION['id_validar']." AND fecha>='".substr($_POST['per1'],0,10)."' and fecha<='".substr($_POST['per2'],0,10)."' AND concepto='8019') as utilidad,
		
		(SELECT REPLACE(REPLACE(FORMAT(monto,2),',',''),'.',',') FROM utilidades WHERE utilidades.cedula=personal.codigo AND utilidades.id=".$_SESSION['id_validar']." AND fecha>='".substr($_POST['per1'],0,10)."' and fecha<='".substr($_POST['per2'],0,10)."' AND concepto='8017') as retenido,
		
		(SELECT REPLACE(REPLACE(FORMAT(valor_utilid_pagar,2),',',''),'.',',') FROM liquidaciones WHERE liquidaciones.cedula=personal.codigo AND liquidaciones.id=".$_SESSION['id_validar']." AND status='I' AND fecha_retiro>='".substr($_POST['per1'],0,10)."' AND fecha_retiro<='".substr($_POST['per2'],0,10)."') as util_liquid,
		
		(SELECT REPLACE(REPLACE(FORMAT(inces,2),',',''),'.',',') FROM liquidaciones WHERE liquidaciones.cedula=personal.codigo AND liquidaciones.id=".$_SESSION['id_validar']." AND status='I' AND fecha_retiro>='".substr($_POST['per1'],0,10)."' AND fecha_retiro<='".substr($_POST['per2'],0,10)."') as retenido_liquid

		FROM historico,personal WHERE historico.cedula=personal.codigo and historico.id=personal.id AND substr(desperiodo,15,10)>='".substr($_POST['per1'],0,10)."' AND substr(desperiodo,15,10)<='".substr($_POST['per2'],0,10)."' and historico.id=".$_SESSION['id_validar']." AND historico.tipo='A' AND substr(historico.concepto,1,1)='1' AND historico.concepto NOT IN('1606','1580','1604') group by codigo order by codigo ";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$cont=0;
		$data=array();
		$cabecera=array("RIF","CEDULA","NOMBRE1","NOMBRE2","APELLIDO1","APELLIDO2","Fecha Ingreso","Estatus","Salarios pagados","Aporte 2% patrono","Utilidades pagadas","0,5% retenido","Util en liquidacion de retiro","0,5% retenido Util Liq.", "Total Aporte");
		
		
		$cabecera=implode(";",$cabecera);
		$i=0;
		$j=0;
		$k=0;
		$l=0;
		$m=0;
		$n=0;
		$o=0;
		$total_inces_trabajador=0.0;
		
		while ($row=mysqli_fetch_row($resultado)) {
	        $cont++;
	        $total_inces_trabajador_= str_replace(",",".",$row[9])+ str_replace(",",".",$row[11])+str_replace(",",".",$row[13]);
            $total_inces_trabajador=str_replace(".",",",$total_inces_trabajador_);
            $i+=str_replace(",",".",$row[8]);
            $j+=str_replace(",",".",$row[9]);
            $k+=str_replace(",",".",$row[10]);
            $l+=str_replace(",",".",$row[11]);
            $m+=str_replace(",",".",$row[12]);
            $n+=str_replace(",",".",$row[13]);
            $o+=$total_inces_trabajador_;
            array_push($row, $total_inces_trabajador);
		    $data[]=implode(";",$row);
		}
		
		array_push($data, ";;;;;;;;".str_replace(".",",",$i).";".str_replace(".",",",$j).";".str_replace(".",",",$k).";".str_replace(".",",",$l).";".str_replace(".",",",$m).";".str_replace(".",",",$n).";".str_replace(".",",",$o)."\n");
		$data=implode("\n",$data);

        
    $arch="Aportes_INCES_".$_POST['per1']." al ".$_POST['per2'].".csv";		
    header("Content-type: text/csv");
    header("Content-Disposition: attachment; filename=".$arch);
    header("Pragma: no-cache");
    header("Expires: 0");
    echo $cabecera."\n";
    echo utf8_decode($data);		
    		
     exit();
}
?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?	
	echo "<h2 align='center'><font face='Verdana, Arial, Helvetica, sans-serif'>REPORTE DETALLADO DE APORTES TRIMESTRALES AL INCES</font></h2>";
	echo "<h4 align='center'><font face='Verdana, Arial, Helvetica, sans-serif'>Incluye aportes y retenciones por: Nóminas, Vacaciones y Utilidades Pagadas</font></h4>";	
	echo "<font face='verdana' size=2>";
	echo "
	<br><br><form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
			if ($per!='') {
					echo "<tr><td align='righta'>Per&iacute;odo Actual:</td>
						  <td align='left'><font color=red>".$per."</font></td>
						  </tr>";
			}			
			echo "
				<tr><td align='righta'>Tipo de Archivo:</td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
					<option value='1'>Reporte INCES</option>

					</select>
				</td>
				</tr>";
			
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' AND nomina=200 order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Desde: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['desde'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' AND nomina=200 order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Hasta: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per2'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."'  order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			*/					
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:200px' value='GENERAR REPORTE'>";
			echo "</td></tr>";	
			echo "</table></form></font>";
?>
		
	</body>
</html>